org.eclipse.emf.compare.utils

## Interface IDiagnosable

All Known Implementing Classes:
  AbstractComparisonScope, DefaultComparisonScope, EmptyComparisonScope, FilterComparisonScope, StorageTraversal, SynchronizationModel

    public interface IDiagnosable

An element that can hold a diagnostic.

### Method Summary

All Methods Instance Methods Abstract Methods
`Diagnostic` `getDiagnostic()` Return the diagnostic associated with this scope.
`void` `setDiagnostic(Diagnostic diagnostic)` Set the diagnostic to be associated with this scope.

### Method Detail

#### getDiagnostic

    Diagnostic getDiagnostic()

Return the diagnostic associated with this scope. For instance, it may contain errors that occurred during loading of its notifiers.

Returns:
  the diagnostic

#### setDiagnostic

    void setDiagnostic(Diagnostic diagnostic)

Set the diagnostic to be associated with this scope.

Parameters:
  `diagnostic` - the diagnostic